%global momorel 1

Summary: 	Utilities for the XFce Desktop Environment
Name: 		xfce-utils
Version: 	4.0.6
Release: 	%{momorel}m
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	http://hannelore.f1.fhtw-berlin.de/mirrors/xfce4/xfce-%{version}/src/%{name}-%{version}.tar.gz
NoSource:       0
Source1:	xinitrc.momonga
Patch0: 	xfterm4-set-TERMCMD-rxvt.patch
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	libxfcegui4-devel >= %{version}
BuildRequires:	libxfce4mcs-devel >= %{version}
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	gtk+-devel >= 2.4.0
BuildRequires:	pkgconfig
BuildRequires:	libxml2-devel
BuildRequires: 	gettext
# gettext is use 'msgfmt -o ja.gmo ja.po'
Requires:	libxfcegui4 >= %{version}
Requires:	libxfce4mcs >= %{version}
Requires:	xfce-mcs-manager >= %{version}
Requires:	gtk+ >= 2.4.0
Requires:	libxml2

%description
xfce-utils contains utilities for the XFce Desktop Environment

%prep
%setup -q
%patch0 -p1

%build
%configure

# use new ja.po
rm -f po/ja.gmo

make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} mandir=%{_mandir}

# use xinitrc.momonga for startxfce4
mv %{buildroot}/%{_sysconfdir}/xfce4/xinitrc %{buildroot}/%{_sysconfdir}/xfce4/xinitrc.orig
install -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/xfce4/xinitrc

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%{_bindir}/*
%{_libdir}/xfce4/mcs-plugins/*
%{_datadir}/*
%{_sysconfdir}/xfce4/*

%changelog
* Thu Jul 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.6-1m)
- minor bugfixes

* Sun Apr 18 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.0.5-1m)
- Version update to 4.0.5

* Sun Apr 11 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-3m)
- rebuild against for gtk+-2.4.0

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-2m)
- rebuild against for libxml2-2.6.8

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.4-1m)

* Sun Jan 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.3-1m)
- version up to 4.0.3

* Mon Dec 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.2-1m)
- version up to 4.0.2

* Mon Dec 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.1-1m)
- version up to 4.0.1

* Tue Nov 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.0-2m)
- add xfterm4-set-TERMCMD-rxvt.patch
- add gettext at BuildRequires

* Fri Sep 26 2003 Seinosuke Kaneda <kaneda@momonga-linux.org>
- (4.0.0-1m)
- version up

* Sat Sep 13 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (3.99.4-1m)
- XFce4 RC4 release
